# Class CIM_FileAction
extends CIM_Action

FileAction locates files that already exist on the CIM_ ComputerSystem that defines the Action's environment. These files are removed or moved/copied to a new location.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Action
|
+--CIM_FileAction

## Direct Known Subclasses

CIM_CopyFileAction
CIM_RemoveFileAction

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Description | string | FileAction locates files that already exist on the CIM_ ComputerSystem that defines the Action's environment. These files are removed or moved/copied to a new location.
UMLPackagePath | string | CIM::Application::CheckAction
Version | string | 2.6.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
ActionID | string | CIM_Action
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
Direction | uint16 | CIM_Action
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Action
SoftwareElementID | string | CIM_Action
SoftwareElementState | uint16 | CIM_Action
TargetOperatingSystem | uint16 | CIM_Action
Version | string | CIM_Action

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
Invoke | uint32 | CIM_Action
InvokeOnSystem | uint32 | CIM_Action